Intermittent "leaked 300K+ bytes during test execution" during Mdoth

RESOLVED WORKSFORME

Status

()

RESOLVED WORKSFORME
8 years ago
8 years ago

People

(Reporter: cjones, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1283974669.1283977101.15241.gz
WINNT 5.2 mozilla-central debug test mochitest-other on 2010/09/08 12:37:49  
s: win32-slave06
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 375991 bytes during test execution
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 149 instances of AtomImpl with size 20 bytes each (2980 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of BackstagePass with size 24 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of CSSImportRuleImpl with size 48 bytes each (96 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 45 instances of CSSImportantRule with size 16 bytes each (720 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 11 instances of CSSNameSpaceRuleImpl with size 44 bytes each (484 bytes total)


The cset on which this appeared to start (http://hg.mozilla.org/mozilla-central/rev/ed4a1318e3e9) can't possibly have caused these leaks.

There's lots of fun stuff in the log from around shutdown


[x2] WARNING: getting z level of unregistered window: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/xpfe/appshell/src/nsWindowMediator.cpp, line 606
************************************************************
* Call to xpconnect wrapped JSObject produced this error:  *
[Exception... "Component returned failure code: 0x80070057 (NS_ERROR_ILLEGAL_VALUE) [nsIAnnotationService.removeObserver]"  nsresult: "0x80070057 (NS_ERROR_ILLEGAL_VALUE)"  location: "JS frame :: resource://gre/modules/PlacesUtils.jsm :: PU_observe :: line 297"  data: no]
************************************************************
[x7] ###!!! ASSERTION: stylesheet not found: 'Not Reached', file e:/builds/moz2_slave/mozilla-central-win32-debug/build/content/base/src/nsDocument.cpp, line 3529
WARNING: NS_ENSURE_TRUE(selcon) failed: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/editor/libeditor/base/nsEditor.cpp, line 566
WARNING: NS_ENSURE_TRUE(ps) failed: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/editor/libeditor/html/nsHTMLEditor.cpp, line 3599
WARNING: nsExceptionService ignoring thread destruction after shutdown: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/xpcom/base/nsExceptionService.cpp, line 197
[x5] WARNING: NS_ENSURE_TRUE(aListener) failed: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/editor/libeditor/base/nsEditor.cpp, line 1725
WARNING: NS_ENSURE_TRUE(!(mAsyncExecutionThread)) failed: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/storage/src/mozStorageConnection.cpp, line 655
WARNING: NS_ENSURE_TRUE(factory) failed: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/docshell/base/nsDocShell.cpp, line 10644
[x5] WARNING: not an nsIRDFRemoteDataSource: 'remote != nsnull', file e:/builds/moz2_slave/mozilla-central-win32-debug/build/rdf/datasource/src/nsLocalStore.cpp, line 312
WARNING: Leaking the RDF Service.: file e:/builds/moz2_slave/mozilla-central-win32-debug/build/rdf/build/nsRDFModule.cpp, line 198
WARNING: Textrun cache not empty!: 'mCache.Count() == 0', file e:/builds/moz2_slave/mozilla-central-win32-debug/build/gfx/thebes/gfxTextRunWordCache.cpp, line 85
WARNING: Fonts still alive while shutting down gfxFontCache: 'mFonts.Count() == 0', file e:\builds\moz2_slave\mozilla-central-win32-debug\build\obj-firefox\dist\include\gfxFont.h, line 589
Assertion failed at e:/builds/moz2_slave/mozilla-central-win32-debug/build/gfx/cairo/cairo/src/cairo-hash.c:195: hash_table->live_entries == 0


I'm not sure which of these looks most suspicious.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1284437642.1284439742.1656.gz#err0
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2010/09/13 21:14:02
Removed w2k platform from the summary, as this looks like the same leakage happening on OS X. Log shows similar assertions and warnings to those listed in comment #0.

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1289476262.1289478828.15732.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/11/11 03:51:02
s: talos-r3-leopard-050
Summary: Intermittent "leaked 375991 bytes during test execution" during wind2k3 Mdoth → Intermittent "leaked 300K+ bytes during test execution" during Mdoth

Comment 3

8 years ago
 This is the same leak that bug 600843 track, right?
Comment 2 is - comment 0 and comment 1 are unknowable, since the logs are already gone and there's no way of knowing what part of oth they were in, -chrome or -browser-chrome or "ipc"-plugins or what.
Status: NEW → RESOLVED
Last Resolved: 8 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.